Get a company by id.
curl --request GET \
--url https://api.example.com/api/v0/companies/{company_id}import requests
url = "https://api.example.com/api/v0/companies/{company_id}"
response = requests.get(url)
print(response.text)const options = {method: 'GET'};
fetch('https://api.example.com/api/v0/companies/{company_id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.example.com/api/v0/companies/{company_id}",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://api.example.com/api/v0/companies/{company_id}"
req, _ := http.NewRequest("GET", url, nil)
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://api.example.com/api/v0/companies/{company_id}")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.example.com/api/v0/companies/{company_id}")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
response = http.request(request)
puts response.read_body{
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"name": "<string>",
"handle": "<string>",
"logo": "<string>",
"isGeneratedLogo": true,
"showAuditLog": true,
"createdBy": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"createdAt": "2023-11-07T05:31:56Z",
"users": [
{
"userId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"name": "<string>",
"username": "<string>",
"email": "<string>",
"isActivated": true,
"createdAt": "2023-11-07T05:31:56Z",
"isBot": true,
"role": "manager",
"companyId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"avatar": "<string>",
"isGeneratedAvatar": true,
"discord": "<string>",
"telegram": "<string>",
"timezone": "<string>",
"disabledAt": "2023-11-07T05:31:56Z"
}
],
"sessionSettings": {
"maxTime": 123,
"refreshTime": 123
},
"about": "<string>",
"legalName": "<string>",
"legalAddress": "<string>",
"legalCountry": {
"name": "<string>",
"code": "<string>"
},
"website": "<string>",
"github": "<string>",
"twitter": "<string>",
"domain": "<string>",
"autoJoinAllowed": true,
"adminData": "<unknown>"
}{
"type": "email_not_verified",
"msg": "<string>"
}{
"type": "email_not_verified",
"msg": "<string>"
}{
"type": "email_not_verified",
"msg": "<string>"
}{
"type": "email_not_verified",
"msg": "<string>"
}{
"type": "email_not_verified",
"msg": "<string>"
}Get a company by id.
Access control rules
- Company users get list the company they are associated with.
- Admins can list all companies. Requires
read_all_companiespermissions.
GET
/
api
/
v0
/
companies
/
{company_id}
Get a company by id.
curl --request GET \
--url https://api.example.com/api/v0/companies/{company_id}import requests
url = "https://api.example.com/api/v0/companies/{company_id}"
response = requests.get(url)
print(response.text)const options = {method: 'GET'};
fetch('https://api.example.com/api/v0/companies/{company_id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.example.com/api/v0/companies/{company_id}",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://api.example.com/api/v0/companies/{company_id}"
req, _ := http.NewRequest("GET", url, nil)
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://api.example.com/api/v0/companies/{company_id}")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.example.com/api/v0/companies/{company_id}")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
response = http.request(request)
puts response.read_body{
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"name": "<string>",
"handle": "<string>",
"logo": "<string>",
"isGeneratedLogo": true,
"showAuditLog": true,
"createdBy": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"createdAt": "2023-11-07T05:31:56Z",
"users": [
{
"userId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"name": "<string>",
"username": "<string>",
"email": "<string>",
"isActivated": true,
"createdAt": "2023-11-07T05:31:56Z",
"isBot": true,
"role": "manager",
"companyId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"avatar": "<string>",
"isGeneratedAvatar": true,
"discord": "<string>",
"telegram": "<string>",
"timezone": "<string>",
"disabledAt": "2023-11-07T05:31:56Z"
}
],
"sessionSettings": {
"maxTime": 123,
"refreshTime": 123
},
"about": "<string>",
"legalName": "<string>",
"legalAddress": "<string>",
"legalCountry": {
"name": "<string>",
"code": "<string>"
},
"website": "<string>",
"github": "<string>",
"twitter": "<string>",
"domain": "<string>",
"autoJoinAllowed": true,
"adminData": "<unknown>"
}{
"type": "email_not_verified",
"msg": "<string>"
}{
"type": "email_not_verified",
"msg": "<string>"
}{
"type": "email_not_verified",
"msg": "<string>"
}{
"type": "email_not_verified",
"msg": "<string>"
}{
"type": "email_not_verified",
"msg": "<string>"
}Path Parameters
Response
Company details
Show child attributes
Show child attributes
Session expiration settings
They are expressed in i64 seconds to be database-friendly.
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Note, this is only set if domain field is also set.